Subject: RE: bug#642: 23.0.60; garbled text (wrong font?) in About GNU Emacs screen

From: "Drew Adams" <[email-masked]>
Date: Wed, 29 Oct 2008 14:14:02 -0700

I sent this reply on 2008-08-02, but I do NOT see it in the bug tracker.

The problem remains. The garbled text is in Info, tab-bar tabs, and the startup
screen.

This bug and #239 should NOT be merged with #597, IMO, since that is about text
that looks OK and gets garbled only after some time. This problem is seen from
the outset. It started around the time I filed #597 - no such problem before
that.

Attached are screenshots from a build of 2008-10-09 with emacs -Q: 

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-10-09 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'

From: Drew Adams Sent: Saturday, August 02, 2008 2:27 PM
To: 'Jason Rumney'; [email-masked]'
Cc: [email-masked]'

> From: Jason Rumney Sent: Saturday, August 02, 2008 2:06 PM
> > emacs -Q --debug-init -l ".../path/to/hexrgb.el" -l
".../path/to/oneonone.el" -f "1on1-emacs"
>
> I can't reproduce this bug. If you position the cursor on one of the
> affected characters and press C-u C-x =, what does it say. If the
> resulting Help buffer is also garbled, please try to change
> the buffer's font using Shift-Left Mouse.

The text in the help buffer appears fine. If I put the cursor on the first `?'
char in the first text line (red) and do `C-u C-x =', *Help* shows this:
 
        character: SPC (32, #o40, #x20)
preferred charset: ascii (ASCII (ISO646 IRV))
       code point: 0x20
           syntax:    which means: whitespace
         category: a:ASCII graphic characters 32-126 (ISO646 IRV:1983[4/0])
                   l:Latin
      buffer code: #x20
        file code: #x20 (encoded by coding system undecided-unix)
          display: by this font (glyph code)
 
uniscribe:-outline-Helvetica-normal-normal-normal-sans-14-*-*-*-p-*-iso8859-1
(#x20)
 
Character code properties: customize what to show
  name: SPACE
  general-category: Zs (Separator, Space)
 
There are text properties here:
  face                 (variable-pitch (:foreground "red"))
  help-echo            [Show]
 
[back]

Oddly enough, when I paste that text, it shows `SPC' for the character, but in
the *Help* buffer, it has `rob' for the character. I switched to HTML mail and
used a Unicode font (Arial Unicode MS), thinking that might make a difference,
but it didn't.

I then tried a cents char in the second text line (blue):
 
        character: a (97, #o141, #x61)
preferred charset: ascii (ASCII (ISO646 IRV))
       code point: 0x61
           syntax: w  which means: word
         category: a:ASCII graphic characters 32-126 (ISO646 IRV:1983[4/0])
                   l:Latin r:Japanese roman
      buffer code: #x61
        file code: #x61 (encoded by coding system undecided-unix)
          display: by this font (glyph code)
 
uniscribe:-outline-Helvetica-normal-normal-normal-sans-14-*-*-*-p-*-iso8859-1
(#x61)
 
Character code properties: customize what to show
  name: LATIN SMALL LETTER A
  general-category: Ll (Letter, Lowercase)
 
There are text properties here:
  face                 (variable-pitch (:foreground "darkblue"))
  help-echo            [Show]
 
[back]

The cents character appears correctly in *Help*, but appears as `a' when pasted
into the mail.

I then tried a section symbol in the first tiny black text line:
 
        character: f (102, #o146, #x66)
preferred charset: ascii (ASCII (ISO646 IRV))
       code point: 0x66
           syntax: w  which means: word
         category: a:ASCII graphic characters 32-126 (ISO646 IRV:1983[4/0])
                   l:Latin r:Japanese roman
      buffer code: #x66
        file code: #x66 (encoded by coding system undecided-unix)
          display: by this font (glyph code)
 
uniscribe:-outline-Helvetica-normal-normal-normal-sans-11-*-*-*-p-*-iso8859-1
(#x66)
 
Character code properties: customize what to show
  name: LATIN SMALL LETTER F
  general-category: Ll (Letter, Lowercase)
 
There are text properties here:
  face                 (variable-pitch (:height 0.8))
  help-echo            [Show]
 
[back]

Again, the section symbol appears correctly in *Help*, but appears as `f' in the
pasted text above.
 
Notice that the help text is describing what you see pasted above, but not what
I see in *Help*. For example, I see a section symbol, but it describes it as a
LATIN SMALL LETTER F.
 
HTH - Drew